%global _description\
This package provides many handlers which beyond the scope of standard library\
or are ported from newer Python releases for using in older versions of Python.\
These handlers are designed for Python standard library's logging package.

Name:           python-logutils
Version:        0.3.5
Release:        8
License:        BSD
Summary:        Handlers for Python library's logging package
URL:            https://pypi.io/project/logutils
Source0:        https://pypi.io/packages/source/l/logutils/logutils-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%description %_description

%package        -n python3-logutils
Summary:        Handlers for Python library's logging package

%description    -n python3-logutils
%_description

%package        -n help
Summary:        Documentation for python-logutils
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    -n help
Documentation for python-logutils

%prep
%autosetup -n logutils-%{version}

rm -rf logutils.egg-info
rm -rf %{py2dir}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python3} setup.py test

%files          -n python3-logutils
%license LICENSE.txt
%doc README.rst NEWS.txt
%{python3_sitelib}/logutils/
%{python3_sitelib}/logutils-%{version}-*

%files          -n help
%doc doc/

%changelog
* Wed Oct 21 2020 Ge Wang <wangge20@huawei.com> 0.3.5-8
- remove python2

* Thu Mar 12 2020 lihao <lihao129@huawei.com> - 0.3.5-7
- Package Init
